Bio::Root::HTTPget(3)

NAME
Bio::Root::HTTPget - module for fallback HTTP get operations when LWP:: is unavailable

SYNOPSIS
 use Bio::Root::HTTPget;
 my $web = Bio::Root::HTTPget->new();

 my $response = $web->get('http://localhost');
 $response    = $web->get('http://localhost/images');

 $response    = eval { $web->get('http://fred:secret@localhost/ladies_only/')
                     } or warn $@;

 $response    = eval { $web->get('http://jeff:secret@localhost/ladies_only/')
                     } or warn $@;

 $response    = $web->get('http://localhost/images/navauthors.gif');
 $response    = $web->get(-url=>'http://www.google.com',
                                    -proxy=>'http://www.modperl.com');

DESCRIPTION
This is basically an last-chance module for doing network HTTP get requests in situations where more advanced external CPAN modules such as LWP:: are not installed.

The particular reason this module was developed was so that the Open Bio Database Access code can fallback to fetching the default registry files from http://open-bio.org/registry/ without having to depend on external dependencies like Bundle::LWP for network HTTP access.

The core of this module was written by Lincoln Stein. It can handle proxies and HTTP-based proxy authentication.

FEEDBACK

  Mailing Lists
User feedback is an integral part of the evolution of this and other Bioperl modules. Send your comments and suggestions preferably to one of the Bioperl mailing lists. Your participation is much appreciated.

  bioperl-l@bioperl.org                  - General discussion
  http://bioperl.org/wiki/Mailing_lists  - About the mailing lists

  Reporting Bugs
Report bugs to the Bioperl bug tracking system to help us keep track the bugs and their resolution. Bug reports can be submitted via the web:

  http://bugzilla.open-bio.org/

AUTHOR - Lincoln Stein
# Please direct questions and support issues to bioperl-l@bioperl.org

 Cared for by Chris Dagdigian <dag@sonsorol.org>

APPENDIX
The rest of the documentation details each of the object methods. Internal methods are usually preceded with a _

  get
 Title   : get
 Usage   : my $resp = get(-url => $url);
 Function:
 Returns : string
 Args    : -url     => URL to HTTPGet
           -proxy   => proxy to use
           -user    => username for proxy or authentication
           -pass    => password for proxy or authentication
           -timeout => timeout

  getFH
 Title   : getFH
 Usage   :
 Function:
 Example :
 Returns : string
 Args    :

  _http_parse_url
 Title   :
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _http_connect
 Title   :
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  _encode_base64
 Title   :
 Usage   :
 Function:
 Example :
 Returns :
 Args    :

  proxy
 Title   : proxy
 Usage   : $httpproxy = $db->proxy('http')  or
           $db->proxy(['http','ftp'], 'http://myproxy' )
 Function: Get/Set a proxy for use of proxy. Defaults to environment variable
           http_proxy if present.
 Returns : a string indicating the proxy
 Args    : $protocol : an array ref of the protocol(s) to set/get
           $proxyurl : url of the proxy to use for the specified protocol
           $username : username (if proxy requires authentication)
           $password : password (if proxy requires authentication)

  authentication
 Title   : authentication
 Usage   : $db->authentication($user,$pass)
 Function: Get/Set authentication credentials
 Returns : Array of user/pass
 Args    : Array or user/pass